--:SetVar Function "AUX:MonthNameWithYear"
if exists( select * from [sysobjects] (nolock) where [type] in ('FN','TF') and [name]=N'AUX:MonthNameWithYear' )
   drop function [AUX:MonthNameWithYear]
GO
/* Translated by $SQLTRANS utility (SQL-file technology). Method author: Sergei Y.Kitáev.
** Script translation date-time: 2022-11-27 00:29:27.24 (stamp of SQL-file generation). */
create function [AUX:MonthNameWithYear]( @Year int, @Month int )
returns nvarchar(25)
BEGIN
/*==================================================================================================
# SQLAUX scripting library | Author: Sergei Y.Kitáev
----------------------------------------------------------------------------------------------------
#
# OBTAINING LOCALIZED MONTH NAME WITH YEAR, IN FOLLOWING FORM:
# - “<Month name> YYYY”    (EN);
# - “<Month name> YYYY г.” (RU)
#
# === Usage: ===
# dbo.[AUX:MonthNameWithYear]( <Year>, <Month NO> )
#
==================================================================================================*/

return dbo.[AUX:MonthNameWithYear.Ext]( @Year, @Month, null )

/*================================================================================================*/
END
GO
/*
select dbo.[AUX:MonthNameWithYear]( 2015, 3 ) 'Month name with year'
select dbo.[AUX:MonthNameWithYear]( 2016, 10 ) 'Month name with year'
*/
